Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007439 [DCSS] Bug Report minor have not tried 2013-08-07 16:22 2013-11-25 18:22
Reporter 5ubbak View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0007439: auto ID cursed weapon without wielding
Description I picked up a weapon and it auto-identified as a cursed -2/-1 dagger even though I didn't wield it, didn't know it was cursed before picking it up, did not use any scroll on it and do not worship Ashenzari.

Unless I'm mistaken, this is not normal behaviour (I've never seen this happen in any other game I've played). Please accept my apologies if this is actually supposed to happen.

Here is the link of my game on lantea :
http://crawl.lantea.net:8081/saves//5ubbak-crawl-git-c68e7bdaf3-130807-1421.tar.bz2 [^]
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0023668)
Galefury (updater)
2013-08-07 16:35

Do you have any throwing skill? To keep parity with a removed way of use-identifying weapons, throwing skill lets you sometimes indentify throwable weapons. Most people think this is pointless and useless, and that the only way it affects gameplay is by confusing people. For some reason it still has not been removed.
(0023669)
5ubbak (reporter)
2013-08-07 18:33
edited on: 2013-08-07 18:35

That must be it (the character was an Enchanter, but I never used the throwing skill). My bad.

How do I change the status to Resolved?

(0023674)
KiloByte (manager)
2013-08-08 06:22

Galefury: then throw that weapon a few times, see how often you miss and how much damage you do.

Auto-id is certainly not "useless", and I say should be extemded rather than removed: you can get full data even with skill 0 if you bother to (a script is strongly recommended). I guess the concept of hiding enchantment should be removed.
(0023683)
Galefury (updater)
2013-08-08 16:51

Weapon throwing could also just not be affected by enchantment. Brands already don't work on thrown weapons, and javelins etc cant be enchanted anymore.

- Issue History
Date Modified Username Field Change
2013-08-07 16:22 5ubbak New Issue
2013-08-07 16:35 Galefury Note Added: 0023668
2013-08-07 18:33 5ubbak Note Added: 0023669
2013-08-07 18:34 5ubbak Issue Monitored: 5ubbak
2013-08-07 18:34 5ubbak Issue End Monitor: 5ubbak
2013-08-07 18:35 5ubbak Note Edited: 0023669
2013-08-08 06:22 KiloByte Note Added: 0023674
2013-08-08 16:51 Galefury Note Added: 0023683
2013-11-25 18:21 MarvinPA Status new => resolved
2013-11-25 18:21 MarvinPA Fixed in Branch => 0.14 development branch
2013-11-25 18:21 MarvinPA Resolution open => done
2013-11-25 18:21 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker